Update Draft Config
curl --request PATCH \
--url https://api.fish.audio/v1/agent/agents/<agent-id>/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": {
"system_prompt": "You are the receptionist for Fish Dental."
},
"webhooks": {
"post_call": [
{
"url": "https://example.com/hooks/fish",
"secret": "<signing-secret>"
}
]
}
}'import requests
url = "https://api.fish.audio/v1/agent/agents/{agent_id}/config"
payload = {
"prompt": {
"system_prompt": "<string>",
"first_message": "<string>",
"first_message_prompt": "<string>"
},
"voice": { "voice_profile_id": "<string>" },
"conversation": {
"max_duration_seconds": 1830,
"interruptible": True,
"reengage_enabled": True,
"record_audio": True,
"timezone": "<string>",
"transfer_destinations": [
{
"phone_number": "<string>",
"type": "phone",
"label": "",
"mode": "cold",
"warm_connect": "confirm"
}
]
},
"tools": {
"enabled": True,
"tool_ids": ["<string>"],
"system_tools": {
"language_detection": True,
"hang_up_call": True
}
},
"webhooks": { "post_call": [
{
"url": "<string>",
"secret": "<string>"
}
] },
"knowledge_base": {
"enabled": True,
"knowledge_source_ids": ["<string>"]
},
"analysis": {
"summary": {
"enabled": True,
"prompt": "<string>",
"language": "en"
},
"data_fields": [
{
"name": "<string>",
"type": "text",
"description": "",
"enum_options": ["<string>"]
}
],
"criteria": [
{
"name": "<string>",
"description": ""
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: {
system_prompt: '<string>',
first_message: '<string>',
first_message_prompt: '<string>'
},
voice: {voice_profile_id: '<string>'},
conversation: {
max_duration_seconds: 1830,
interruptible: true,
reengage_enabled: true,
record_audio: true,
timezone: '<string>',
transfer_destinations: [
{
phone_number: '<string>',
type: 'phone',
label: '',
mode: 'cold',
warm_connect: 'confirm'
}
]
},
tools: {
enabled: true,
tool_ids: ['<string>'],
system_tools: {language_detection: true, hang_up_call: true}
},
webhooks: {post_call: [{url: '<string>', secret: '<string>'}]},
knowledge_base: {enabled: true, knowledge_source_ids: ['<string>']},
analysis: {
summary: {enabled: true, prompt: '<string>', language: 'en'},
data_fields: [{name: '<string>', type: 'text', description: '', enum_options: ['<string>']}],
criteria: [{name: '<string>', description: ''}]
}
})
};
fetch('https://api.fish.audio/v1/agent/agents/{agent_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"config_hash": "<string>",
"prompt": {
"system_prompt": "",
"first_message_mode": "prompt",
"first_message": "Hi! Thanks for calling — how can I help you today?",
"first_message_prompt": "Greet the caller and ask what you can help with."
},
"voice": {
"voice_profile_id": "4501d82f5de3467ebf4d7ef095a2deee",
"speaking_language": "en"
},
"conversation": {
"max_duration_seconds": 1800,
"eagerness": "balanced",
"interruptible": true,
"interruption_sensitivity": "balanced",
"reengage_enabled": false,
"record_audio": true,
"timezone": "",
"transfer_destinations": []
},
"tools": {
"enabled": true,
"tool_ids": [
"<string>"
],
"system_tools": {
"language_detection": false,
"hang_up_call": false
}
},
"webhooks": {
"post_call": [
{
"url": "<string>",
"has_secret": false
}
]
},
"knowledge_base": {
"enabled": false,
"knowledge_source_ids": [
"<string>"
]
},
"analysis": {
"summary": {
"enabled": true,
"prompt": "<string>",
"language": "en"
},
"data_fields": [
{
"name": "<string>",
"type": "text",
"description": "",
"enum_options": [
"<string>"
]
}
],
"criteria": [
{
"name": "<string>",
"description": ""
}
]
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}Agents
Update Draft Config
Patch the draft configuration section by section; omitted sections keep their value.
PATCH
/
v1
/
agent
/
agents
/
{agent_id}
/
config
Update Draft Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Request fulfilled, document follows
Content hash of the draft; equal to a version's config_hash when the draft has no unpublished changes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

